Subject: Re: [PATCH] git-remote exclude

From: Quy Tonthat <[email-masked]>
Date: Thu, 18 Jan 2007 01:13:12 +1100

Johannes Schindelin wrote:
> Hi,
> 
> On Mon, 15 Jan 2007, Quy Tonthat wrote:
> 
>> "git-remote exclude" can be used to prevent one or more unwanted remote 
>> branches from being tracked. After, for example,
>>     $ git-remote origin exclude man html
>> "git-fetch origin" will no longer fetch origin/man and origin/html.
> 
> That is not what your patch does.
> 
> It rewrites the "remote.$name.fetch" entries so that those branches are 
> not _updated_, but they are _fetched_ nevertheless.

I meant to say "track", but somehow "fetch" got to my fingers. Old ages, perhaps.
You are right, "update" is _the_ word. Thanks.

> But then, I don't really see _why_ you would want such a solution.
> After all, you are more likely to be interested in _specific_ branches, rather 
> than all branches _except_ a few.

For different situations, there are different paths to choose to reach that
ultimate "After All" (Zen? NO!). I offered one (little) path and expect to see
more of bigger ones. That's the _why_ (and/or, the _why_ not).

Quy